Read a file
POST /v1/sandbox/{sandboxID}/filesystem/read-file
POST
/v1/sandbox/{sandboxID}/filesystem/read-file
Read a file from the sandbox. Returns the raw file bytes in the response body.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
path
required
Path to the file to read.
string
offset
Byte offset to start reading from.
integer format: uint64
limit
Maximum number of bytes to read.
integer format: uint32
head
Return only the first N lines of the file. Mutually exclusive with tail.
integer format: uint32
tail
Return only the last N lines of the file. Mutually exclusive with head.
integer format: uint32
Responses
Section titled “ Responses ”Raw file content.
string format: binary
Bad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string
Resource not found.
object
message
required
Human-readable error message.
string